<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (19) on Tue Feb 07 17:02:05 WET 2023 -->
<title>All Classes and Interfaces</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-02-07">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#all-classes">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All Classes and Interfaces" class="title">All Classes and Interfaces</h1>
</div>
<div id="all-classes-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="all-classes-table-tab0" role="tab" aria-selected="true" aria-controls="all-classes-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table', 2)" class="active-table-tab">All Classes and Interfaces</button><button id="all-classes-table-tab1" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab1', 2)" class="table-tab">Interfaces</button><button id="all-classes-table-tab2" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab2', 2)" class="table-tab">Classes</button><button id="all-classes-table-tab3" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab3', 2)" class="table-tab">Enum Classes</button></div>
<div id="all-classes-table.tabpanel" role="tabpanel">
<div class="summary-table two-column-summary" aria-labelledby="all-classes-table-tab0">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/graphics/Canvas.html" title="class in org.academiadecodigo.simplegraphics.graphics">Canvas</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Container of shapes</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/graphics/Color.html" title="class in org.academiadecodigo.simplegraphics.graphics">Color</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/pictures/Color.html" title="class in org.academiadecodigo.simplegraphics.pictures">Color</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="org/academiadecodigo/simplegraphics/graphics/Colorable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Colorable</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block">Methods for modifying a shape color
 The color of the shape is used when drawing or filling</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/graphics/Ellipse.html" title="class in org.academiadecodigo.simplegraphics.graphics">Ellipse</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="org/academiadecodigo/simplegraphics/graphics/Fillable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Fillable</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block">Methods for filling a shape</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/keyboard/Keyboard.html" title="class in org.academiadecodigo.simplegraphics.keyboard">Keyboard</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Instantiate a Keyboard for obtaining key handling capability</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Keyboard events containing key codes and event types</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab3"><a href="org/academiadecodigo/simplegraphics/keyboard/KeyboardEventType.html" title="enum class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEventType</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab3">
<div class="block">The type of events supported by the Keyboard</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="org/academiadecodigo/simplegraphics/keyboard/KeyboardHandler.html" title="interface in org.academiadecodigo.simplegraphics.keyboard">KeyboardHandler</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block">Interface to be implemented by all classes that wish to receive keyboard events</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/graphics/Line.html" title="class in org.academiadecodigo.simplegraphics.graphics">Line</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/mouse/Mouse.html" title="class in org.academiadecodigo.simplegraphics.mouse">Mouse</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Instantiate a Mouse for obtaining mouse handling capability</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/mouse/MouseEvent.html" title="class in org.academiadecodigo.simplegraphics.mouse">MouseEvent</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Mouse Click event containing x and y coordinates</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="org/academiadecodigo/simplegraphics/mouse/MouseHandler.html" title="interface in org.academiadecodigo.simplegraphics.mouse">MouseHandler</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block">Interface to be implemented by all classes that want to receive mouse events</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab1"><a href="org/academiadecodigo/simplegraphics/graphics/Movable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Movable</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab1">
<div class="block">Methods for moving a shape</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/pictures/Picture.html" title="class in org.academiadecodigo.simplegraphics.pictures">Picture</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">A picture from an image file.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/graphics/Rectangle.html" title="class in org.academiadecodigo.simplegraphics.graphics">Rectangle</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="org/academiadecodigo/simplegraphics/graphics/Shape.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Shape</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block">A shape that can be drawn on a canvas.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/test/Tester.html" title="class in org.academiadecodigo.simplegraphics.test">Tester</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/academiadecodigo/simplegraphics/graphics/Text.html" title="class in org.academiadecodigo.simplegraphics.graphics">Text</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">&nbsp;</div>
</div>
</div>
</div>
</main>
</div>
</div>
</body>
</html>
